Security Enhanced Linux Reference Policy

# Layer: apps

## Module: lightsquid

Tunables Interfaces

### Description:

Log analyzer for squid proxy.

### Tunables:

allow_httpd_lightsquid_script_anon_write

##### Default value

false

##### Description

Determine whether the script domain can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

Return

### Interfaces:

lightsquid_admin( domain , role )

##### Summary

All of the rules required to administrate an lightsquid environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

lightsquid_domtrans( domain )

##### Summary

Execute the lightsquid program in the lightsquid domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

lightsquid_run( domain , role )

##### Summary

Execute lightsquid in the lightsquid domain, and allow the specified role the lightsquid domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return